aboutsummaryrefslogtreecommitdiffstats
path: root/bin/entrypoint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/entrypoint.sh')
-rwxr-xr-xbin/entrypoint.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/entrypoint.sh b/bin/entrypoint.sh
new file mode 100755
index 0000000..b13c681
--- /dev/null
+++ b/bin/entrypoint.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+
+# Start DBUS
+mkdir -p /var/run/dbus
+stdbuf -oL -eL dbus-daemon --system --nofork 2>&1 1> /var/log/dbus-daemon.log &
+
+# Start Resource Manager
+hostip=$(ip route show | awk '/default/ {print $3}')
+echo "Connecting to $hostip\n"
+tpm2-abrmd -a $hostip -t socket \ No newline at end of file